Installation

Installing ROAD CEM

To Install ROAD CEM from USB Installation Media:

  1. Insert the ROAD CEM USB installation media into the computer.

  2. If the installation program does not start automatically:

    1. Click Start, Run on the Windows task bar.

    2. Type "drive:\setup", where drive is the drive letter of where the installation media was inserted.

    3. Click OK.

  3. Click Set up a Standalone/Network License.

  4. Click Install/Start, and then follow the on-screen instructions.

  5. In the list of the CAD platforms existing on your computer, select the ones for which you want to have ROAD CEM installed:

  6. To create a new ROAD CEM profile for an existing CAD platform, click Create new profile, and then select in the list a profile on which the ROAD CEM should be based. To modify an existing CAD profile, click Modify existing CAD profile, and then select the desired profile in the list.

  7. Start ROAD CEM (view instructions on how to start ROAD CEM at the end of the setup procedure).

Note: If you downloaded the ROAD CEM installation archive, decompress it to an empty folder, double-click the Setup.exe file, and then follow the instructions above starting at Step 3.


Authorization

Authorizing ROAD CEM

On initial program load and on subsequent loads until ROAD CEM is authorized, the Program Authorization dialog box appears prompting for your Authorization Key:

Program Authorization dialog box

To Authorize ROAD CEM:

  1. If you are connected to the Internet, click Request Authorization (preferred method).

Note: If you are behind a firewall, you will need to configure it to allow the CAD application (e.g. AutoCAD/acad.exe) to have access to the Internet.

  2. The User Information dialog box displays. Fill in required information.

Note: In the Registered Email box, type the email address of the person in whose name ROAD CEM was purchased.

  3. Click OK, and ROAD CEM will get authorized automatically.

OR

  3. If for some reason automatic online authorization cannot be performed, you will be directed to a web page where you will be required to fill in contact information to request an Authorization Key.

  4. Click Submit. An email containing the Authorization Key will be sent to the email address you supplied.

Alternatively, you can contact Transoft Solutions with the information displayed in this dialog box to receive your Authorization Key.

  5. Once you have received the Authorization Key, type it in the Authorization Key box, and then click OK.

To Bypass the Authorization Process:

Click Bypass to use ROAD CEM for a preset grace period. Once the grace period has expired, however, you will have to enter a valid Authorization Key to continue using the software.


Default Properties

Sets the default values for the various properties that determine how the design will be drawn.

To Edit the Default Properties:

  1. Click [image] Properties on the toolbar or ribbon. A dialog box similar to the following example displays:

Default Properties dialog box

  2. Select a category on the left and then adjust its various properties on the right.

  3. Repeat step 2 as desired.

  4. Click OK to finish editing the default properties.


Create Surface

Creates a surface (TIN surface in a ROAD CEM created block) from an existing source file (e.g. point file containing points or LandXML file containing at least one surface), or by picking elements within the current drawing.

To Create a Surface:

  1. Click [image] Create Surface on the toolbar or ribbon. A dialog box similar to the following example displays:

Create Surface dialog box

  2. Select a surface creation method:

Import Point File

Supported file types: XYZ, XYZD, PXYZ, PXYZD, NEZ, NEZD, PNEZ, PNEZD, ENZ, ENZD, PENZ, PENZD.

From Elements

Supported element types: lines, arcs, 2D or 3D polylines, 2D or 3D closed polylines, ROAD CEM imported survey points (see Import Survey Points in the ROAD CEM Help file).

Import LandXML

Supported file type: LandXML file containing at least one surface.

To Create a Surface by Importing a Point File:

Note: All point files will import the coordinates that are specified in the file based on the units set in ROAD CEM.

  1. In the Create Surface dialog box, click [image] Import Point File. A dialog box similar to the following example displays:

Create Surface from Point File dialog box

  2. Specify the desired Name, Description, and Type for the surface.

  3. Click Browse. A dialog box similar to the following example displays:

Open dialog box

  4. Select a point file and then click Open. The Create Surface From Point File dialog box displays.

  5. (Optional) Select a different File Type than the one determined for the selected point file.

  6. (Optional) Click [image] Settings to adjust the surface creation settings.

  7. Click OK to finish creating the surface.

To Create a Surface by Picking Elements in the Drawing:

This procedure requires the existence of CAD elements and/or ROAD CEM imported survey points in the drawing (see Import Survey Points in the ROAD CEM Help file). The CAD elements can be points, lines, arcs, 2D or 3D polylines, or 2D or 3D closed polylines.

  1. In the Create Surface dialog box, click [image] From Elements.

  2. In the drawing, pick the desired elements from which to create the surface.

  3. Right-click when you have finished selecting elements. A dialog box similar to the following example displays:

Create Surface from Elements dialog box

  4. Specify the desired Name, Description, and Type for the surface.

  5. (Optional) Click [image] Settings to adjust the surface creation settings.

  6. Click OK to finish creating the surface.

To Create a Surface from a LandXML file:

Note: LandXML files contain a unit designator and will scale to the drawing's units when imported.

  1. In the Create Surface dialog box, click [image] Import LandXML. A dialog box similar to the following example displays:

Create Surface from LandXML dialog box

  2. Specify the desired Name, Description, and Type for the surface.

  3. Click Browse to select a LandXML file, and then click Open.

  4. In the Create Surface from LandXML dialog box, select the desired surface in the Select Surface list if there is more than one surface in the file.

  5. (Optional) Click [image] Settings to adjust the surface creation settings.

  6. Click OK to finish creating the surface.


Edit Surface

Allows a surface to be edited.

To Edit a Surface:

  1. Click [image] Edit Surface on the toolbar or ribbon.

  2. Pick a surface in the drawing to edit. A dialog box similar to the following example displays:

Edit Surface dialog box

  3. Adjust the surface's parameters as desired.

  4. Click OK to finish editing the surface.

Toolbox

These tools allow the user to edit the selected surface.

Button | Option | Click to...
 | Copy Surface | Copy the surface, specifying a new Name, Description, and Type, as well as a Delta value to the new surface's elevation.
 | Raise/Lower Surface | Raise or lower the surface by specifying a Delta value to the new elevation.
 | Swap Triangle Edge | Pick a triangle edge to swap the points that the edge connects to.
 | Export LandXML | Export the selected surface to a LandXML file.